---
id: 6852f11d412c29665985a915
title: Step 12
challengeType: 20
dashedName: step-12
---

# --description--

Now that users can send emails, they need a way to store emails they receive. Each user should have an inbox to collect their emails.

Add an `inbox` attribute to the `User` class `__init__` method and initialize it as an empty list `[]`. This will store all emails that the user receives.

# --hints--

You should add `self.inbox = []` to the `User` class `__init__` method.

```js
({
    test: () => {
        assert(runPython(`_Node(_code).find_class("User").find_function("__init__").find_variable("self.inbox").is_equivalent("self.inbox = []")`));
    }
})
```

# --seed--

## --seed-contents--

```py
class Email:
    def __init__(self, sender, receiver, subject, body):
        self.sender = sender
        self.receiver = receiver
        self.subject = subject
        self.body = body
        self.read = False

    def mark_as_read(self):
        self.read = True
        
class User:
    def __init__(self, name):
        self.name = name
--fcc-editable-region--
        
--fcc-editable-region--
    def send_email(self, receiver, subject, body):
        email = Email(sender=self, receiver=receiver, subject=subject, body=body)
```
